Package org.eclipse.lemminx

## Class XMLServerLauncher

- java.lang.Object
- - org.eclipse.lemminx.XMLServerLauncher

    public class XMLServerLauncher
    extends Object

### Constructor Summary

Constructors
`XMLServerLauncher()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Future<?>` `launch​(InputStream in, OutputStream out)` Launches `XMLLanguageServer` and makes it accessible through the JSON RPC protocol defined by the LSP.
`static void` `main​(String[] args)` Calls `launch(InputStream, OutputStream)`, using the standard input and output streams.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLServerLauncher

    public XMLServerLauncher()

### Method Detail

#### main

    public static void main​(String[] args)

Calls `launch(InputStream, OutputStream)`, using the standard input and output streams.

#### launch

    public static Future<?> launch​(InputStream in,
                                   OutputStream out)

Launches `XMLLanguageServer` and makes it accessible through the JSON RPC protocol defined by the LSP.

Parameters:
  `launcherFuture` - The future returned by `Launcher.startListening()`. (I'm not 100% sure how it meant to be used though, as it's undocumented...)